Gradle-Could not determine java version from '11'

问题描述

因为换工作,需要新配置的环境,所以遇到了各种问题,例如下面这个:

《Gradle-Could not determine java version from '11'》

发生错误的相关环境配置

  • JDK 11
  • Gradle 4.4

如果不知道自己安装的 Java 版本,可以根据一下命令查看:

Mac :

#查看版本
java -version

#查看安装位置
/usr/libexec/java_home -V

Windows:


#查看版本
java -version

#查看安装位置
java -verbose

项目的 Gradle 版本,可以根据下面方式查看:

  1. /gradle/wapper/gradle-wrapper.properties 文件查看:

《Gradle-Could not determine java version from '11'》

  1. Android Studio->Project Structure 查看:

《Gradle-Could not determine java version from '11'》

问题解决

问题核心原因是 Grade 和 JDK 的版本不兼容,因此有两个解决方法:

  • 升级 Gradle

    Gradle 官网 下载了最新版本 4.10.2,可以解决这个问题。

    《Gradle-Could not determine java version from '11'》

  • 降级 JDK

    ORACLE 官网 下载 JDK 1.8.0 ,也可以解决这个问题。

    《Gradle-Could not determine java version from '11'》

事实情况下,我使用 Gradle 的目的就是管理 Android 项目,而且项目的 Gradle 版本一般不会轻易修改,所以我采用的是降级 JDK 的方法。大家可以根据自己的情况选择。

欢迎关注个人微信公众号,最新的博客,好玩的事情,都会在上面分享,期待与你共同成长。
《Gradle-Could not determine java version from '11'》

    原文作者:DRPrincess
    原文地址: https://blog.csdn.net/qq_32452623/article/details/83341750
    本文转自网络文章,转载此文章仅为分享知识,如有侵权,请联系博主进行删除。
点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注